Package com.microblink.blinkid.entities.recognizers.blinkid.imageoptions.encode

# Interface EncodeFaceImageOptions

All Known Implementing Classes:
  `BlinkIdMultiSideRecognizer`, `BlinkIdSingleSideRecognizer`, `DocumentFaceRecognizer`, `MrtdCombinedRecognizer`, `PassportRecognizer`, `UsdlCombinedRecognizer`, `VisaRecognizer`

public interface EncodeFaceImageOptions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setEncodeFaceImage(boolean encodeFaceImage)`
  Sets whether face image from document should be encoded in JPEG format and written into the corresponding recognition result.
  `boolean`
  `shouldEncodeFaceImage()`
  Returns whether encoding of face image from document and writing it into the recognition result is enabled.

- ## Field Details

  - ### CLASS_NAME

    @NonNull static final String CLASS_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setEncodeFaceImage

    void setEncodeFaceImage(boolean encodeFaceImage)
    Sets whether face image from document should be encoded in JPEG format and written into the corresponding recognition result. By default, this is set to 'false'.
    IMPORTANT NOTE: If you set `MicroblinkSDK.setIntentDataTransferMode(com.microblink.blinkid.intent.IntentDataTransferMode)` to `IntentDataTransferMode.STANDARD` recognizer which contains encoded image cannot be parcelized and passed by `Intent` extras because of Android limitations on intent extras size. If you are using one of the provided scan activities and expect receiving scan results in `Activity.onActivityResult(int, int, android.content.Intent)` method use either `IntentDataTransferMode.OPTIMISED` or `IntentDataTransferMode.PERSISTED_OPTIMISED`
    Parameters:
      `encodeFaceImage` - whether face image should be encoded in JPEG format and written into the corresponding recognition result.

  - ### shouldEncodeFaceImage

    boolean shouldEncodeFaceImage()
    Returns whether encoding of face image from document and writing it into the recognition result is enabled. By default, this is set to 'false'.
    Returns:
      whether encoding of face image from document and writing it into the recognition result is enabled.